%define major 1
%define libname %mklibname paper %{major}
%define develname %mklibname paper -d

Summary:	Library for handling paper characteristics
Name:		libpaper
Version:	1.1.24
Release:	%mkrel 3
License:	LGPL
Group:		System/Libraries
URL:		http://packages.debian.org/unstable/source/libpaper
Source0:	http://ftp.debian.org/debian/pool/main/libp/libpaper/%{name}_%{version}.tar.gz
# consult also LC_PAPER env var before bluntly falling back to "letter" (#45804)
# https://bugzilla.redhat.com/show_bug.cgi?id=458833
Patch0:		libpaper-useglibcfallback.patch
Patch1:		libpaper-1.1.23-debianbug475683.patch
%ifarch x86_64
BuildRequires:	chrpath
%endif

%description
This package contains a simple library for use by programs needing
to handle papers. It lets program automatically recognize a lot of
different papers with their properties (actually their size).

%package -n	%{libname}
Summary:	Library for handling paper characteristics
Group:		System/Libraries

%description -n	%{libname}
Libraries for paper.

%package -n	%{develname}
Summary:	Library for handling paper characteristics (development files)
Group:		Development/C
Provides:	libpaper-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname paper 1 -d
Provides:	%mklibname paper 1 -d

%description -n	%{develname}
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%package -n	paper-utils
Summary:	Library for handling paper characteristics (development files)
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description  -n paper-utils
This package contains the development files for a simple library for use
by programs needing to handle papers. It lets program automatically
recognize a lot of different papers with their properties (actually their
size).

%prep
%setup -q -n libpaper-%{version}
%patch0 -p1
%patch1 -p1

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std
rm -f %{buildroot}%{_libdir}/*.la

# (tpg) this should close bug #31988
mkdir -p %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/papersize << EOF
# Simply write the paper name. See papersize(5) for possible values.
EOF

%ifarch x86_64
chrpath -d %{buildroot}%{_bindir}/paperconf
%endif

%files -n %{libname}
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%doc ChangeLog COPYING debian/changelog
%_includedir/*
%{_libdir}/*.so

%files -n paper-utils
%doc README
%config(noreplace) %{_sysconfdir}/papersize
%{_bindir}/paperconf
%{_sbindir}/paperconfig
%{_mandir}/man*/*


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.24-3.mga3
+ Revision: 357945
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 17 2012 fwang <fwang> 1.1.24-2.mga3
+ Revision: 307486
- drop .la file

* Sat Apr 16 2011 pterjan <pterjan> 1.1.24-1.mga1
+ Revision: 86683
- Update to 1.1.24
- Sync patches with Fedora

* Sat Jan 15 2011 ahmad <ahmad> 1.1.23-7.mga1
+ Revision: 18454
- drop old/unneeded scriptlets
- imported package libpaper

